Sync llvm-toolchain-3.2 1:3.2repack-7 (universe) from Debian unstable (main)

Bug #1186901 reported by Sylvestre Ledru on 2013-06-03
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu
Wishlist
Unassigned

Bug Description

Please sync llvm-toolchain-3.2 1:3.2repack-7 (universe) from Debian unstable (main)

All changelog entries:

llvm-toolchain-3.2 (1:3.2repack-7) unstable; urgency=low

  * For now, enable only lldb for amd64 and i386 (blocks too many things)
    (Bis) (Closes: #707866)
  * Add a symlink of libLLVM-3.2.so.1 to usr/lib/llvm-3.2/lib/libLLVM-3.2.so
    to fix make the llvm-config-3.2 --libdir work (Closes: #708677)

 -- Sylvestre Ledru <email address hidden> Mon, 27 May 2013 13:20:30 +0200

llvm-toolchain-3.2 (1:3.2repack-6) unstable; urgency=low

  * Create the compiler-rt directory to make the install of compiler-rt works

 -- Sylvestre Ledru <email address hidden> Sat, 18 May 2013 18:08:52 +0200

llvm-toolchain-3.2 (1:3.2repack-5) unstable; urgency=low

  * For now, enable only lldb for amd64 and i386 (blocks too many things)

 -- Sylvestre Ledru <email address hidden> Sat, 18 May 2013 10:24:04 +0200

llvm-toolchain-3.2 (1:3.2repack-4) unstable; urgency=low

  * Add several patches which, hopefully, will fix the build under ARM, S390,
    S390X, etc (lldb-apple_only.diff, lldb-user-remove.diff & lldb-hurd.diff)
  * Include sys/wait.h also under kfreebsd (kfreebsd-thread.diff)

 -- Sylvestre Ledru <email address hidden> Wed, 15 May 2013 12:04:24 +0200

llvm-toolchain-3.2 (1:3.2repack-3) unstable; urgency=low

  * Before the configure, show which version of CC is being used.
  * Add support of kfreebsd and hurd in lldb (kfreebsd-hurd-lldb.diff)
  * Force the usage of gcc 4.7 for all archs. Should fix some FTBFS
    (Closes: #707866)
  * Fix the symlink on clang++.1.gz llvm-clang.1.gz (Closes: #707832)

  [ Jon Severinsson ]
  * Re-enable the r600 backend and update it to the mesa-9.1.1 tag.
   (Closes: #708009)

 -- Sylvestre Ledru <email address hidden> Tue, 14 May 2013 12:10:07 +0200

llvm-toolchain-3.2 (1:3.2repack-2) unstable; urgency=low

  * Do not depend on libobjc-4.7-dev & libgcc-4.7-dev.
    They are still only in experimental
  * Disable the usage of binutils-gold under [powerpc powerpcspe ppc64 sparc
    sparc64] to fix FTBFS

 -- Sylvestre Ledru <email address hidden> Tue, 07 May 2013 13:15:20 +0200

llvm-toolchain-3.2 (1:3.2repack-1) unstable; urgency=low

  * Upload to unstable
  * Standards-Version update to 3.9.4
  * clang pure virtual function call crash with binaries built with C++11's
    std::thread. Upstream commit 178816 (Closes: #705838)
  * Introduce a symbols file for libclang1 (Closes: #705672)

 -- Sylvestre Ledru <email address hidden> Sun, 21 Apr 2013 14:06:23 +0200

llvm-toolchain-3.2 (1:3.2repack-1~exp4) experimental; urgency=low

  * Build using binutls-gold to improve the quality of the binaries.
    See: http://allievi.sssup.it/techblog/?p=791
  * Detect the vendor (Debian or Ubuntu) and update the configuration
  * Port to powerpcspe. Thanks to Roland Stigge (Closes: #701587)
    See: 31-powerpcspe.diff
  * Fix the path detection of scan-build (Closes: #698352)
    See: 32-scan-build-path.diff
  * debian/patches/r600-snapshot.diff: Move backports into individual patches.
  * debian/patches/r600-snapshot.diff: Update to mesa-9.1 git tag.
    (Closes: #703671, #697356)
  * Fix a typo in the detection of the vendor

  [ Peter Michael Green ]
  * Use binutils-gold only on architectures where it is actually available
  * 33-armhf-defaults.diff Fix defaults to use correct CPU and FPU for
    debian armhf (Closes: #704111)
  * 34-powerpc-no-altivec.diff disable altivec by default on powerpc because
    debian powerpc does not require altivec (patch cherry picked from ubuntu)

 -- Sylvestre Ledru <email address hidden> Thu, 14 Mar 2013 17:47:12 +0100

llvm-toolchain-3.2 (1:3.2repack-1~exp3) experimental; urgency=low

  * Remove package "clang". It is now provided by llvm-defaults.
  * Fix some issues relative to the epoch change
  * Fix a wrong path in the _lldb.so Python symlink
  * Install cmake files to build LLVM extensions (Closes: #701153)
  * Remove the embedded copy of libjs-jquery (Closes: #701087)
  * Fix the install of lli manpage (Closes: #697117)

 -- Sylvestre Ledru <email address hidden> Sun, 17 Feb 2013 12:05:15 +0100

llvm-toolchain-3.2 (1:3.2repack-1~exp2) experimental; urgency=low

  * Install the python files for lldb. Thanks to Daniel Malea for spotting this.
  * Update of the clean target
  * Introduce an epoch to match the changes in bug #699899

 -- Sylvestre Ledru <email address hidden> Wed, 13 Feb 2013 12:22:30 +0100

llvm-toolchain-3.2 (3.2repack-1~exp1) experimental; urgency=low

  * Build the whole LLVM toolchain at once. This includes:
    - LLVM
    - Clang
    - compiler-rt
    - lldb
    - polly
  * Also install clang-check & clang-tblgen in the clang-3.2 package
  * Fix the patch detection of clang from scan-build (Closes: #698352)
  * debian/patches/0050-powerpcspe-fp.diff: Add, hopefully fix FTBFS on
    powerpcspe, by disabling save / restore of floating point registers which
    don't exist on powerpcspe. Thanks to Roland Stigge for the patch.
    (Closes: #696474)
  * libLLVM-3.2.so.1 is now shipped only once (Closes: #696913)
  * Enable RTTI (Closes: #697754)
  * Introduce lldb as a new package (Closes: #698601)
  * Add a script pollycc which will call clang with the right arguments.
  * Use __builtin___clear_cache on ARM to fix a clang bug.
    Thanks to Matthias Klose.

 -- Sylvestre Ledru <email address hidden> Sat, 09 Feb 2013 12:14:10 +0100

Changed in ubuntu:
importance: Undecided → Wishlist
Daniel Holbach (dholbach) wrote :

Synced the package. It's now sitting in the NEW queue: https://launchpad.net/ubuntu/saucy/+queue?queue_state=0&queue_text=llvm-toolchain-3.2

Please close the bug manually once it's accepted.

Changed in ubuntu:
status: New → Fix Committed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers